﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Employees
{
    public partial class SearchForm : Form
    {
        public SearchForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Converts the specified string to a Camel Case equivalent.
        /// </summary>
        /// <param name="title">the string to convert</param>
        /// <returns>a camel case version of the string parameter</returns>
        public static string toCamelCase(string title)
        {
            if (title == null || title.Length < 2)
                return title;
            string[] words = title.Split(new char[] {' '}, StringSplitOptions.RemoveEmptyEntries);
            string result = words[0].ToLower();
            for (int i = 1; i < words.Length; i++)
            {
                result += words[i].Substring(0, 1).ToUpper() +
                            words[i].Substring(1);
            }
            return result;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            bool exists = true;
            if (this.comboBox1.Text == "")
            {
                DialogResult dr = MessageBox.Show("You must choose a category to search by.", "Search Failed",
                                                    MessageBoxButtons.OK, MessageBoxIcon.Warning);
                if (dr == DialogResult.OK)
                {
                    exists = false;
                }
            }
            if (this.cueTextBox1.Text == "")
            {
                DialogResult dr = MessageBox.Show("You must type a phrase to search for.", "Search Failed",
                                                    MessageBoxButtons.OK, MessageBoxIcon.Warning);
                if (dr == DialogResult.OK)
                {
                    exists = false;
                }
            }
            if (exists)
            {
                SearchResult result = new SearchResult(toCamelCase(this.comboBox1.Text), this.cueTextBox1.Text);
                result.ShowDialog();
            }
        }
    }
}
