﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Employees
{
    public partial class SearchResult : Form
    {
        public SearchResult(string column, string search)
        {
            InitializeComponent();
            
            DataView dv = new DataView(Employees.getDataTable());
            dv.RowFilter = column + " = '" + search +"'";

            FarPoint.Win.Spread.Data.SpreadDataBindingAdapter data = new FarPoint.Win.Spread.Data.SpreadDataBindingAdapter();
            data.DataSource = dv;
            data.Spread = fpSpread2;
            data.SheetName = "Employees Table";
            data.MapperInfo = new FarPoint.Win.Spread.Data.MapperInfo(1, 0, dv.Count, 6);
            data.FillSpreadDataByDataSource();

            for (int i = 0; i < dv.Count; i++)
            {
                FarPoint.Win.Spread.Model.CellRange cr = new FarPoint.Win.Spread.Model.CellRange(0, 0, 1, 8);
                fpSpread2.Sheets[1].GetClipDataObject(false, cr, FarPoint.Win.Spread.ClipboardCopyOptions.Formatting);
                FarPoint.Win.Spread.Model.CellRange cr2 = new FarPoint.Win.Spread.Model.CellRange(i + 1, 0, 1, 8);
                fpSpread2.Sheets[0].ClipboardPaste(FarPoint.Win.Spread.ClipboardPasteOptions.Formatting, fpSpread2.Sheets[1].GetClipDataObject(false, cr,
                                                    FarPoint.Win.Spread.ClipboardCopyOptions.Formatting), cr2);
            }
        }

        private void fpSpread1_ButtonClicked(object sender, FarPoint.Win.Spread.EditorNotifyEventArgs e)
        {
            fpSpread2.SuspendLayout();
            if (fpSpread2.Sheets[0].ActiveCell.Column.Index == 7)
            {
                Employees.viewEmployeeDetailsDialog(Employees.getDataTable().Rows[fpSpread2.Sheets[0].ActiveCell.Row.Index - 1][0].ToString());
                FarPoint.Win.Spread.Model.CellRange cr = new FarPoint.Win.Spread.Model.CellRange(0, 0, 1, 8);
                fpSpread2.Sheets[1].GetClipDataObject(false, cr, FarPoint.Win.Spread.ClipboardCopyOptions.Formatting);
                FarPoint.Win.Spread.Model.CellRange cr2 = new FarPoint.Win.Spread.Model.CellRange(fpSpread2.Sheets[0].ActiveCell.Row.Index, 0, 1, 8);
                fpSpread2.Sheets[0].ClipboardPaste(FarPoint.Win.Spread.ClipboardPasteOptions.Formatting, fpSpread2.Sheets[1].GetClipDataObject(false, cr,
                                                    FarPoint.Win.Spread.ClipboardCopyOptions.Formatting), cr2);
            }
            else if (fpSpread2.Sheets[0].ActiveCell.Column.Index == 6)
            {
                DialogResult dr = MessageBox.Show("Are you sure you want to remove " + fpSpread2.Sheets[0].Cells[fpSpread2.Sheets[0].ActiveCell.Row.Index, 1].Text + "?",
                                                    "Remove Employee",
                                                    MessageBoxButtons.YesNo, MessageBoxIcon.Question);
                if (dr == DialogResult.Yes)
                {
                    fpSpread2.Sheets[0].RemoveRows(fpSpread2.ActiveSheet.ActiveRow.Index, 1);
                }
            }
            fpSpread2.ResumeLayout();
        }
    }
}
